# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test.pm) perl(Tk.pm) perl(Tk/FireButton.pm) perl(Tk/Frame.pm) perl(Tk/Label.pm)
# END SourceDeps(oneline)
%define module_version 1.02
%define module_name Tk-DatePick
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.02
Release: alt1
Summary: Perl extension for Tk to pick dates
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/L/LA/LAWGON/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This widget is meant to get idiot-proof input of date data in the correct
format. The date is not user editable, so the problem of checking the format
does not arise.

All options are optional. This works fine:

	$datepick = $main->DatePick()->pack();
	$newdate = $datepick->cget('-text');

The options are:

-text: this is the date fed in by the programmer. Defaults to the current
system date.

-dateformat: 0 = dd/mm/yyyy, 1 = mm/dd/yyyy. defaults to 0.

-max, -min: these are strings in the correct date format to specify the
range of dates. max defaults to 31/12/2095 and min to 1/1/1905.

-yeartype: 'calyear' sets min to 1st jan and max to 31st dec of the current
year specified in the '-text' option. 
'finyear' does the same setting the limits to the financial year (1st april
to 31st march). If the '-text' option is not set, the system date is taken
for determining the current calendar or financial year. If '-yeartype' is set it overrides any settings for '-max'
and '-min'.

-status: can be 'disabled' where the user cannot change the date or 'normal'
which is the default. 




%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/T*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- initial import by package builder

